[arch-commits] Commit in ncurses/trunk (PKGBUILD ncurses.install)

Allan McRae allan at archlinux.org
Thu Aug 28 19:45:02 EDT 2008


    Date: Thursday, August 28, 2008 @ 19:45:01
  Author: allan
Revision: 10396

upgpkg: ncurses 5.6-8
    Re-add libncurses.so.5 for binary compatibility
All linking on Arch is still done the the wide character library

Modified:
  ncurses/trunk/PKGBUILD
Deleted:
  ncurses/trunk/ncurses.install

-----------------+
 PKGBUILD        |   11 ++++++++++-
 ncurses.install |    9 ---------
 2 files changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-28 19:32:15 UTC (rev 10395)
+++ PKGBUILD	2008-08-28 23:45:01 UTC (rev 10396)
@@ -4,7 +4,7 @@
 
 pkgname=ncurses
 pkgver=5.6
-pkgrel=7
+pkgrel=8
 pkgdesc="A System V Release 4.0 curses emulation library"
 arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/ncurses/ncurses.html"
@@ -54,6 +54,15 @@
   ln -sf libncursesw.a ${pkgdir}/usr/lib/libcursesw.a
   ln -sf libncurses.a ${pkgdir}/usr/lib/libcurses.a
 
+  # Install libncurses.so.5 for external binary support 
+  ./configure --prefix=/usr \
+    --with-shared --with-normal --without-debug --without-ada \
+    --with-install-prefix=${pkgdir}
+  make || return 1
+  
+  install -Dm755 lib/libncurses.so.5.6 ${pkgdir}/usr/lib/libncurses.so.5.6
+  ln -sf libncurses.so.5.6 ${pkgdir}/usr/lib/libncurses.so.5
+
   # install license, rip it from the readme
   cd ${srcdir}/${pkgname}-${pkgver}
   mkdir -p ${pkgdir}/usr/share/licenses/$pkgname

Deleted: ncurses.install
===================================================================
--- ncurses.install	2008-08-28 19:32:15 UTC (rev 10395)
+++ ncurses.install	2008-08-28 23:45:01 UTC (rev 10396)
@@ -1,9 +0,0 @@
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  echo ">> You can safely ignore any \"cannot open shared object\" errors you see above"
-}
-
-op=$1
-shift
-$op $*




More information about the arch-commits mailing list